<template>
  <div>
    <!-- Cuerpo -->
    <div class="padding-top" style="margin-bottom:3rem">
      <el-header height="80px" style="margin: 0 12rem;">
        <ReturnButton v-on:clickEvent="returnButtonModal = true" :title="`Ir a ${material.typeOfContent}`" :offsetArrow="19" :spanTitle="4" class="text-end"></ReturnButton>
       
        <!-- Modal botón regresar -->
        <AppModalReturn :show-dialog.sync="returnButtonModal" v-if="returnButtonModal" v-on:btnEvent="returnButtonModal = false" @btnEvent="viewList" v-on:eventBtn="returnButtonModal = false">
        </AppModalReturn>
  
      </el-header>
      <el-main>
        <el-steps :active="active"  style="margin: 1rem 8rem 6rem" align-center>
          <el-step title="DATOS" style="font-size: 1rem"></el-step>
          <el-step title="CAPÍTULOS"></el-step>
          <el-step title="ESTADO"></el-step>
        </el-steps>
        <!-- Paso 1: Datos Generales -->
        <div v-if="this.active === 0" style="margin: 6rem 12rem">
          <!-- Revisado por -->
          <el-row style="margin: 4rem 0">
            <el-col :span="12" class="bg-gray title-top">Revisado por: <strong>{{this.userLogin}}</strong></el-col>
          </el-row>
          <h3 class="text-orange" style="margin: 3rem 0">TÍTULOS DEL MATERIAL</h3>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="6" :offset="1"><p class="fonts-bold-general">Título Original:</p></el-col>
            <el-col :span="16">
              <el-input v-model="material.originalTitle" size="small" @keyup.enter.native= "addTitles"></el-input>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="6" :offset="1"><p class="fonts-bold-general">Título Español y/o Sugerido:</p></el-col>
            <el-col :span="16">
              <el-input v-model="material.ownTitle" size="small" ></el-input>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 3rem">
            <el-col :span="6" :offset="1"><p class="fonts-bold-general">Título Comercial:</p></el-col>
            <el-col :span="16">
              <el-input v-model="material.listTitle" size="small"></el-input>
            </el-col>
          </el-row>
          <hr class= "line-report">
          <h3 class="text-orange" style="margin: 3rem 0">PROVEEDOR Y PRODUCCIÓN</h3>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="3" :offset="1" class="fonts-bold-general">Proveedor</el-col>
            <el-col :span="6"><el-input v-model="material.providerName" size="small"></el-input></el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="3" :offset="1" class="fonts-bold-general">Productora</el-col>
            
            <el-col :span="8" >
              <div v-for="(item, index) in material.reviewObj.arrProdCompany" :key="index">
                <el-col :span="18"><el-input v-model="item.prodCompany" style="margin-bottom:0.5rem" size="small"></el-input></el-col>
                <el-col :span="3" class="text-end">
                  <i @click="addEl('prodCompanyEdit', index, item)" class="el-icon-circle-plus text-orange" style="font-size:25px"></i>
                </el-col>
                <el-col :span="2" v-if="prodCompanyEdit.length > 1" class="text-end">
                  <i @click="removeElement(index, 'prodCompanyEdit', item)" class="el-icon-remove text-gray" style="font-size:25px"></i>
                </el-col>
              </div>
            </el-col>
            <!-- <el-col :span="8" v-else>
              <div v-for="(item, index) in arrProdCompany" :key="index">
                <el-col :span="18"><el-input v-model="item.prodCompany" style="margin-bottom:0.5rem" size="small"></el-input></el-col>
                <el-col :span="3" class="text-end">
                  <i @click="addEl('arrProdCompany', index)" class="el-icon-circle-plus text-orange" style="font-size:25px"></i>
                </el-col>
                <el-col :span="2" v-if="arrProdCompany.length > 1" class="text-end">
                  <i @click="removeElement(index, 'arrProdCompany')" class="el-icon-remove text-gray" style="font-size:25px"></i>
                </el-col>
              </div>
            </el-col> -->
          </el-row>
          <el-row style="margin: 0 0 3rem">
            <el-col :span="5" :offset="1" class="fonts-bold-general">Año de Producción</el-col>
            <!-- <el-col v-if="material.reviewStatus === 'incomplete'" :span="4"><el-input v-model="material.reviewObj.yearProduction" size="small"></el-input></el-col> -->
            <el-col :span="4"><el-input v-model="material.reviewObj.yearProduction" size="small"></el-input></el-col>
          </el-row>

          <hr class= "line-report" v-if="material.numChapters.length > 0">
          <h3 class="text-orange" style="margin: 3rem 0" v-if="material.numChapters.length > 0">CAPÍTULOS DEL MATERIAL</h3>
          <el-row>
            <el-col :span="11" :offset="index % 2 !== 0 ? 2 : 0"
              v-for="(item, index) in optionsTemp" :key="index">
              <el-row style="margin: 0 0 1rem">
                <el-col :span="8" :offset="1" class="fonts-bold-general">Temporada</el-col>
                <el-col :span="4"><el-input v-model="item.season" size="small"></el-input></el-col>
              </el-row>
              <el-row style="margin: 0 0 1rem">
                <el-col :span="8" :offset="1" class="fonts-bold-general">N° de Capítulos</el-col>
                <el-col :span="4"><el-input v-model="item.chapters" size="small"></el-input></el-col>
              </el-row>
              <el-row style="margin: 0 0 3rem">
                <el-col :span="8" :offset="1" class="fonts-bold-general">Tipo de Capítulos</el-col>
                <el-col :span="8">
                  <el-select v-model="item.TypeOfChapters" placeholder="Seleccionar" size="small">
                    <el-option
                      v-for="type in arrTypeOfChapters"
                      :key="type"
                      :label="type"
                      :value="type">
                    </el-option>
                  </el-select>
                </el-col>
              </el-row>
            </el-col>
          </el-row>

          <hr class="line-report">
          <h3 class="text-orange" style="margin: 3rem 0">ESTADO DE EMISIÓN</h3>
          <div style="margin-left: 2.4rem;">
            <el-radio v-model="material.reviewObj.emissionStatus" label="Estreno">Estreno</el-radio>
            <!-- <el-radio v-else v-model="emissionStatus" label="Estreno">Estreno</el-radio> -->
            <el-radio  v-model="material.reviewObj.emissionStatus" label="Repetición">Repetición</el-radio>
            <!-- <el-radio v-else v-model="emissionStatus" label="Repetición">Repetición</el-radio> -->
          </div>
        </div>

				<!-- Paso 2: Capítulos -->
				<div v-if="this.active === 1" style="margin: 6rem 12rem">
					<h3 class="" style="margin: 3rem 0">OBSERVACIONES</h3>
					<div style="margin: 0 0 3rem 2.4rem">
            <el-input
              type="textarea"
              :autosize="{ minRows: 6, maxRows: 8}"
              v-model="material.reviewObj.observations">
            </el-input>	

						<!-- <el-input v-else
              type="textarea"
              :autosize="{ minRows: 6, maxRows: 8}"
              v-model="observations">
            </el-input> -->
						
					</div>
					<el-row>
						<el-col :offset="20" :span="4">
							<el-select v-model="season" @change="getKey(season)" placeholder="Temporada" size="small">
								<el-option
									v-for="(temp, index) in optionsTemp"
									:key="index"
									:label="'Temporada '+ temp.season"
									:value="temp.season">
								</el-option>
							</el-select>
						</el-col>
					</el-row>
          <div class="box-title-red" v-if="season !== ''">
            <h3>TEMPORADA {{season}} 
              <span style="font-weight: lighter; margin-left: 15px;">
                ({{Object(optionsTemp[indexSelected]).chapters}} Capítulos)
              </span>
            </h3>
          </div>

          <el-collapse accordion class="box-accordion">
            <el-collapse-item :name="index" class="box-accordion-child" v-for="(value, index) in Object(optionsTemp[indexSelected]).infoByChapter" :key="index">
              <template slot="title">
                <div :class="'addClass-'+season+'-'+value.chapter">
                  <i class="el-icon-caret-right" ref="trigger"></i>
                  <div class="box-title">
                    <span class="title-accordion">Capítulo {{value.chapter}}</span>
                    <div class="infoChapterSaved">
                      <span>{{value.titleChapter}}</span>
                      <el-tag :key="tag" v-for="tag in value.dynamicTags" type="info">{{tag}}</el-tag>
                    </div> 
                  </div>
                </div>
              </template>
              <div>
                <el-row style="margin: 12px 0;">
                  <el-col :span="5" class="subtitles-chapter-form">
                    Título General:
                  </el-col>
                  <el-col :span="8">
                    <el-input v-model="value.titleChapter" size="small"></el-input>
                  </el-col>
                </el-row>
                
                <!--numero de bloques SOLO APARECE EN PRODUCCION NACIONAL-->
                <el-row style="margin: 12px 0;" v-if="material.stringMaterialType !== 'Fusión Gourmet'">
                  <el-col :span="5" class="subtitles-chapter-form">
                    N° de Bloques:
                  </el-col>
                  <el-col :span="2">
                    <el-input  v-model="value.numberBloques" size="small"></el-input>
                  </el-col>
                </el-row>

                <el-row style="margin: 12px 0;">
                  <el-col :span="5" class="subtitles-chapter-form">
                    Duración:
                  </el-col>
                  <el-col :span="8">
                    <el-row>
                      <el-col :span="8">
                        <el-input type="text" size="small" v-model="value.hourDuration" class="input-time" placeholder="00" v-on:keypress.native="isNumber" maxlength="2"></el-input>
                        <span style="font-size: 15px;">h</span>
                      </el-col> 
                      <el-col :span="8">
                        <el-input type="text" size="small" v-model="value.minDuration" class="input-time" placeholder="00" v-on:keypress.native="isNumber" maxlength="2"></el-input>
                        <span style="font-size: 15px;">min</span>
                      </el-col> 
                      <el-col :span="8">
                        <el-input type="text" size="small" v-model="value.secDuration" class="input-time" placeholder="00" v-on:keypress.native="isNumber" maxlength="2"></el-input>
                        <span style="font-size: 15px;">s</span>
                      </el-col> 
                    </el-row>
                  </el-col>
                </el-row>
                <el-row style="margin: 12px 0;">
                  <el-col :span="5" class="subtitles-chapter-form">
                    Etiquetas:
                  </el-col>
                  <el-col :span="19" class="box-new-tag">
                    <el-tag :key="tag" v-for="tag in value.dynamicTags" type="info"
                      closable :disable-transitions="false" @close="handleClose(tag, value.dynamicTags)">
                      {{tag}}
                    </el-tag>
                    <el-input
                      class="input-new-tag" v-if="inputVisible" @keyup.enter.native="handleInputConfirm(value.chapter, season)"
                      v-model="inputValue" ref="saveTagInput" size="mini" @blur="handleInputConfirm(value.chapter, season)">
                    </el-input>
                    <el-button v-else class="button-new-tag" :disabled="Object(value.dynamicTags).length == 4" size="small" @click="showInput(value.chapter)"><span class="plus">+</span> Nueva Etiqueta</el-button>
                  </el-col>
                </el-row>
                <el-row style="margin: 12px 0;">
                  <el-col :span="5" class="subtitles-chapter-form">
                    Fecha de llegada:
                  </el-col>
                  <el-col :span="8"> 
                    <!-- <el-input v-model="value.arrivalDate"  disabled size="small"></el-input> -->
                    <el-date-picker v-model="value.arrivalDate" value-format="timestamp" type="date" 
                    format="dd/MM/yyyy" size="small" style="width: 100%" disabled>
                   </el-date-picker>
                  </el-col>
                </el-row>
                <el-row style="margin: 12px 0;">
                  <el-col :span="5" class="subtitles-chapter-form">
                    Modo de envío:
                  </el-col>
                  <el-col :span="8">
                    <el-input  v-model="value.shippingMode"  disabled  size="small"></el-input>
                  </el-col>
                </el-row>
                <el-row style="margin: 12px 0;">
                  <el-col :span="5" class="subtitles-chapter-form">
                    Soporte:
                  </el-col>
                  <el-col :span="8">
                    <el-input v-model="value.support" disabled size="small"></el-input>
                  </el-col>
                </el-row>
              </div>
              
              <div style="margin-top: 2.5rem; text-align: right;">
                <el-button class="text-orange border-orange" size="small" plain @click="cleanChapterSelect(index, indexSelected, season)">CANCELAR</el-button>
                <!-- :disabled="value.titleChapter == undefined || value.titleChapter == ''" -->
                <el-button type="primary" size="small" @click="trigger(index, season)" >GUARDAR</el-button>
              </div>
            </el-collapse-item>
          </el-collapse>
				</div>	

        <!-- Paso 3: Estado -->
				<div v-if="this.active === 2" style="margin: 6rem 12rem">
          <div class="text-center" style="margin: 0 0 4rem">
            <el-button style="min-width: 255PX;" type="info" id="incompleteStyle" v-bind:class="this.incompleteStatus" @click="pressedButton('incompleteStyle')" plain >REVISIÓN INCOMPLETA</el-button> 
            <!-- @click="pressedButton('approved2')"  -->
          </div>
          <div class="text-center" style="margin: 0 0 4rem">
            <el-button style="min-width: 255PX;" type="danger" id="approved2" v-bind:class="this.approvedStatus" @click="pressedButton('approved2')" plain >APROBADO, PERO NO EMITIDO</el-button> 
          </div>
          <div class="text-center" style="margin: 0 0 4rem">
            <el-button style="min-width: 255PX;" type="success" id="live" v-bind:class="this.liveStatus" @click="pressedButton('live')" plain>APROBADO Y AL AIRE</el-button>
          </div>
          <div class="text-center" style="margin: 0 0 4rem">
            <el-button style="min-width: 255PX;" type="primary" id="transmitted" v-bind:class="this.transmittedStatus" @click="pressedButton('transmitted')" plain>EMITIDO</el-button>
          </div>  
        </div>
        
        <!-- Botón siguiente -->
        <div class="text-end" style="margin: 0 12rem">
          <el-button v-if="this.active > 0" @click="back" class="text-orange border-orange" >
            <i class="el-icon-arrow-left text-orange" style="fontWeight: bold"></i>
            ANTERIOR
          </el-button>
          <el-button v-if="this.active === 2" @click="submitNewReview" v-on:click="submitNewReviewModal = true" class="bg-orange text-white border-none" style="padding-left:3rem; padding-right:3rem" :disabled="buttonStatus==null || buttonStatus==''">
            GUARDAR REVISIÓN
          </el-button>
          <el-button v-else @click="next" class="bg-orange text-white border-none">
            SIGUIENTE
            <i class="el-icon-arrow-right" style="color: white; fontWeight: bold"></i>
          </el-button>

          <!-- Modal -->
          <el-dialog
            :visible.sync="submitNewReviewModal"
            width="40%"
            center
            :close-on-press-escape="false"
            :show-close="false"
            custom-class="dialog-orange">
            <el-row>
             <el-col :span="6" class="text-center"><img src="../../../assets/images/happy.svg" alt="emoticon"></el-col>
              <el-col :span="18">
                <p v-if="completeStatus || approvedStatus || liveStatus || transmittedStatus" class="fonts-bold-general" style="margin-bottom: 0.5rem">¡Buen trabajo!</p>
                <p v-if="completeStatus || approvedStatus || liveStatus || transmittedStatus" style="line-height: 22px;">La revisión de <strong>{{material.originalTitle}}</strong> ha sido ingresado.</p>
                <p v-if="incompleteStatus" class="fonts-bold-general" style="margin-bottom: 0.5rem">¡No olvides completarlo!</p>
                <p v-if="incompleteStatus" style="line-height: 22px;"><strong>{{material.originalTitle}}</strong> se guardará como <strong>"Incompleto".</strong> Pero puedes programarlo.</p>
                <div style="margin-top: 4rem; display: flex; justify-content: flex-end; margin-right: 35px;">            
                  <el-button @click="submitNewReviewModal = false" v-on:click="viewList" class="bg-orange text-white border-none">ACEPTAR</el-button>
                </div>
              </el-col>
            </el-row>
          </el-dialog> 
        </div>
      </el-main>
    </div>
  </div>  
</template>

<script>
import ReturnButton from '@/components/ReturnButton.vue'
import AppModalReturn from '@/components/AppModalReturn.vue'
import {HTTP} from '../../../main.js'
import {scrollToTop} from '@/utils/util.js'

const scheduleOptions = ['Matinée', 'Todo horario', 'Nocturno', 'Estrictamente nocturno']

export default {
  components: {
    ReturnButton,
    AppModalReturn
  },
  data () {
    return {
      material: {},
      returnButtonModal: false,
      submitNewReviewModal: false,
      active: 0,
      originalTitle: '',
      prodCompany: '', 
      arrProdCompany: [{prodCompany: ''}],
      yearProduction: '',
      emissionStatus: '',
      TypeOfChapters: '',
      arrTypeOfChapters: ['Continuados', 'Independientes'],
      showStars: false,
      mainActors: '',
      arrMainActors: [],
      mainActorsIndex: '',
      secondaryActors: '',
      arrSecondActors: [],
      secondActorsIndex: '',
      director: '',
      arrDirector: [],
      directorIndex: '',
      producer: '',
      arrProducer: [],
      producerIndex: '',
      contador: 0,
      /*Data for Fusion Gourmet*/
      userLogin: localStorage.getItem('userName'),
      hourDuration: '',
      minDuration: '',
      secDuration: '',
			prodCompanyEdit: [{prodCompany: ""}],
			season: '',
			optionsTemp: [],
      observations: '',
      titleChapter: '',
      inputVisible: false,
      inputValue: '',
      completeStatus:'',
      incompleteStatus: '',
      buttonStatus: '', // Ok
      indexSelected: '',
      numberBloques: '',
      approvedStatus:'',
      liveStatus: '',
      transmittedStatus:'', 
      userReview: [],
      incompleteStatus: ''
    }
  },
  computed: {
    username() {
      let userEmail = localStorage.getItem('userEmail')
      let user = userEmail.split('@')[0]
      return user.toUpperCase()
    },
    optionsGenre () {
      let dataTables = this.$store.state.tables;
      for (let i = 0; i < dataTables.length; i++) {
        if (dataTables[i].tableName === 'genre') {
          return dataTables[i].types
        }
      }
    },
    optionsClassif () {
      let dataTables = this.$store.state.tables;
      for (let i = 0; i < dataTables.length; i++) {
        if (dataTables[i].tableName === 'classification') {
          return dataTables[i].types
        }
      }
    }
  },
  created () {
    this.materialObj()
    scrollToTop()
    
    if(this.material.reviewObj == undefined) {   
      this.userReview = []
       this.$set(this.material, 'reviewObj', { arrProdCompany: [{"prodCompany": "" }], yearProduction: "", emissionStatus: "", observations: "", userLogin: [] }) 
       this.material.numChapters.map((el, i, arr) => {
      el.infoByChapter.map((ella, i, arr) => {
       Object.defineProperty(ella, 'dynamicTags', {
          value: [],
          writable: true,
          enumerable: true,
          configurable: true
        }); 

      })
    })
    }

    else {
      this.prodCompanyEdit = this.material.reviewObj.arrProdCompany
      this.userReview  =  this.material.reviewObj.userLogin
    }
    
    this.optionsTemp = this.material.numChapters
  },
  methods: {
    materialObj () {
      this.material = JSON.parse(this.$localStorage.get("selectedMaterial"))
      console.log(this.material)
      this.season = '1'
      this.indexSelected = 0
    },
    viewList () {
      if(this.material.canned == false){
        if(this.material.stringMaterialType == 'Fusión Gourmet' || (this.material.stringMaterialType == 'Producción Nacional' && (this.material.typeOfContent !== 'Especial' && this.material.typeOfContent !== 'Novelas' && this.material.typeOfContent !== 'Dibujos' && this.material.typeOfContent !== 'Series'))){
          this.$router.push({name: 'fusionGourmet', params: { name: this.material.typeOfContent}})  
        } else{
          if(this.material.typeOfContent == 'Especial'){
            this.$router.push({name: 'specials', params: { canned: false } })
          }else if(this.material.typeOfContent == 'Novelas' || this.material.typeOfContent == 'Dibujos' || this.material.typeOfContent == 'Series'){
             this.$router.push({name: 'cartoons'})
          }
         
        }
      }
		},
		addEl(item, index, elem){
      this[item].map((el, i, arr) => {
        if (i == index) {
          arr.splice(i + 1, 0, {prodCompany: ''})
        }
      })
    },
    addElement (el, arr, index) {
      this[arr].map((el, i, arr) => {
        if (i == index) {
          arr.splice(i + 1, 0, {[el]: ''})
        }
      })
    },
    removeElement (index, arr) {
      this[arr].splice(index, 1);
    },
    back () {
      this.active--
      scrollToTop()
    },
    next () {
      if (this.active++ > 4) this.active = 0;
      scrollToTop()
    },
    addItem (el, index, arr) {
      if (this[index] !== '') {
        this[arr].splice(this[index], 1, this[el])
        this[el] = ''
      } else {
        this[arr].unshift(this[el])
        this[el] = ''
      }
      this[index] = ''
    },
    EditItem (index, el, index2, arr) {
      this[el] = this[arr][index]
      this[index2] = index
    },
    removeItem (index, arr) {
      this[arr].splice(index, 1)
    },
    changeCheckbox (value) {
      if (value.includes('Calificación General')) {
        this.showStars = true
      } else {
        this.showStars = false
      }
    },
    /*Methods for Fusion Gourmet*/
    addTitles (val) {
      if (this.material.originalTitle) {
        this.material.ownTitle = val ? this.material.originalTitle : "";
        this.material.listTitle = val ? this.material.originalTitle : "";
      }
    },
    isNumber (evt) {
      evt = (evt) ? evt : window.event;
      var charCode = (evt.which) ? evt.which : evt.keyCode;
      if ((charCode > 31 && (charCode < 48 || charCode > 57)) && charCode !== 46) {
        evt.preventDefault();
      } else {
        return true;
      }
    },
    handleClose(tag, dynamic) {
      dynamic.splice(dynamic.indexOf(tag), 1);
    },
    showInput(n) {
      this.inputVisible = true;
      this.$nextTick(_ => {
        this.$refs.saveTagInput[n-1].$refs.input.focus();
      });
    },
    handleInputConfirm(indexChapter, indexSeason) {
      let inputValue = this.inputValue;
      if(this.optionsTemp[indexSeason-1].infoByChapter[indexChapter-1].dynamicTags.length < 4){
        if (inputValue) {
          this.optionsTemp[indexSeason-1].infoByChapter[indexChapter-1].dynamicTags.push(inputValue)
        }
      }
      this.inputVisible = false;
      this.inputValue = '';
    },
    trigger(index, season){
      document.getElementsByClassName('title-accordion')[index].parentElement.click()
      let classAdd = 'addClass-'+season+'-'+(index+1)
      document.getElementsByClassName(classAdd)[0].children[1].classList.add("showInfoSaved");
      document.getElementsByClassName(classAdd)[0].children[1].children[1].style.display = 'block';
      document.getElementsByClassName(classAdd)[0].children[1].children[0].classList.add("saved");
      document.getElementsByClassName(classAdd)[0].children[0].classList.add("savedIcon");
    },
    cleanChapterSelect(index, indexSeason, season){
      let classAdd = 'addClass-'+season+'-'+(index+1)
      let part = this.optionsTemp[indexSeason].infoByChapter[index]
      if(part.titleChapter){
        part.titleChapter = ''
      }
      if(part.hourDuration){
        part.hourDuration = ''
      }
      if(part.minDuration){
        part.minDuration = ''
      }
      if(part.secDuration){
        part.secDuration = ''
      }
      if(part.dynamicTags){
        part.dynamicTags = []
      }
      document.getElementsByClassName(classAdd)[0].children[1].classList.remove("showInfoSaved");
      document.getElementsByClassName(classAdd)[0].children[1].children[1].style.display = 'none';
      document.getElementsByClassName(classAdd)[0].children[1].children[0].classList.remove("saved");
      document.getElementsByClassName(classAdd)[0].children[0].classList.remove("savedIcon");
    },
    submitNewReview () { 
      let historyUsers = this.material.reviewObj.userLogin.filter( m => {
        return m.user == this.userLogin
      })

      if (historyUsers.length == 0) {
        let user = {
          user: this.userLogin,
          date: new Date().toLocaleDateString('en-GB') 
        }
        this.material.reviewObj.userLogin.push(user)
      }
      
      HTTP.patch(`materials/update/${this.material.__id}`, [  
        {propName: "originalTitle", value: this.material.originalTitle},
        {propName: "ownTitle", value: this.material.ownTitle},
        {propName: "providerName", value: this.material.providerName},
        {propName: "listTitle", value: this.material.listTitle},
        {propName: "reviewObj", value: this.material.reviewObj},
        {propName: "numChapters", value: this.optionsTemp},
        {propName: "reviewStatus", value: this.buttonStatus}, 
        {propName: "userName", value: this.username},
        {propName: "geminisCode", value: this.material.geminisCode}
      ])
      .then(res => {
        this.submitNewReviewModal = true
      })
      .catch(err => console.log(err));
    },
    pressedButton (changeStatus) {
      if (changeStatus === 'approved2') {
        this.approvedStatus = changeStatus
        this.buttonStatus = 'approved2'
        this.liveStatus = ''
        this.transmittedStatus = ''
        this.incompleteStatus = ''
      } else if (changeStatus === 'live') {
        this.liveStatus = changeStatus
        this.buttonStatus = 'live'
        this.transmittedStatus = ''
        this.approvedStatus = ''
        this.incompleteStatus = ''
      } else if (changeStatus === 'transmitted') {
        this.transmittedStatus = changeStatus
        this.buttonStatus = 'transmitted'
        this.approvedStatus = ''
        this.liveStatus = ''
        this.incompleteStatus = ''
      } else if (changeStatus === 'incompleteStyle') {
        this.incompleteStatus = changeStatus
        this.buttonStatus = 'incompleteStyle'
        this.liveStatus = ''
        this.transmittedStatus = ''
        this.approvedStatus = ''
      }
    },
    getKey (val){  
      for(var i=0; i<this.optionsTemp.length; i++){
        if(this.optionsTemp[i].season == val){
          this.indexSelected = i
        }
      }
    },
  }
}

</script>

<style>
	.box-title-red{
		background: #FFDCCC;
    padding: 12px 0 12px 25px;
    margin: 25px 0;
	}
  .box-accordion.el-collapse{
    border-top: 0px;
    border-bottom: 0px;
  }
  .box-accordion-child > div[role="tab"] > div[role="button"]{
    font-size: 18px;
    font-weight: 500;
    padding: 5px 0 5px 25px;
    border-bottom: 0;
    height: auto;
  }
  .box-accordion-child > div[role="tab"]{
    border: 1px solid #C0C0C0;
    border-radius: 4px;
  }
  .box-accordion-child > div[role="tab"] > div[role="button"]> .el-collapse-item__arrow{
    display: none;
  }
  .box-accordion-child > div[role="tab"] > div[role="button"]> div > i{
    color: #828282;
    font-size: 28px;
    display: table-cell;
    vertical-align: middle;
  }
  .box-accordion-child > div[role="tab"] > div[role="button"]> div >.box-title{
    display: table-cell;
    vertical-align: middle;
    padding-left: 10px;
  }
  .box-accordion-child > div[role="tabpanel"]{
    border-bottom: 0;
    border-radius: 0px 0px 4px 4px;
    border: 1px solid #C0C0C0;
    padding: 20px 65px;
  }
  .box-accordion-child{
    box-shadow: 3px 3px 10px #C0C0C0;
    margin-bottom: 30px;
    border-radius: 4px;
  }
  .box-accordion-child.is-active > div[role="tab"] > div[role="button"]{
    background: #E0E0E0;
    color: #FF5000;
  }
  .box-accordion-child.is-active > div[role="tab"] > div[role="button"]> div > i{
    color: #FF5000;
  }
  .box-accordion-child.is-active > div[role="tab"]{
    border-radius: 4px 4px 0 0;
  }
  .box-accordion-child > div[role="tabpanel"] > .el-collapse-item__content{
    padding-bottom: 0px;
  }
  .infoChapterSaved{
    display: none;
  }
  .infoChapterSaved span{
    font-size: 16px;
    margin-right: 12px;
  }
  .infoChapterSaved span.el-tag{
    font-size: 14px;
    margin: 0 3px;
    display: inline-block;
    height: 26px;
    color: black;
    font-weight: 400;
  }
  .saved{
    font-size: 15px;
    color: #999999;
    font-weight: 400;
  }
  .savedIcon{
    color: #FF5000 !important;
  }
  .showInfoSaved{
    line-height: normal;
  }
  .subtitles-chapter-form{
    font-size: 16px;
    font-weight: 500;
  }
  .box-new-tag span.el-tag{
    margin: 0 5px 0 0;
    border: 0;
    color: black;
    font-weight: 400;
  }
  .box-new-tag button{
    height: 32px;
  }

</style>

